DECLARE @sysAdminOperationId AS UNIQUEIDENTIFIER;
SELECT @sysAdminOperationId = Id
FROM [SysAdminOperation]
WHERE
	[Code] = 'CanManageSysSettings';

INSERT INTO [SysAdminOperationGrantee] ([Id], [SysAdminOperationId], [SysAdminUnitId], [CanExecute], [Position])
SELECT
	NEWID(),
	@sysAdminOperationId,
	[SysAdminUnitId],
	[CanExecute],
	[Position]
FROM [SysAdminOperationGrantee]
WHERE
	[SysAdminOperationId] = (SELECT [Id] FROM [SysAdminOperation] WHERE [Code] = 'CanManageAdministration')
	AND [SysAdminUnitId] NOT IN (SELECT [SysAdminUnitId] FROM [SysAdminOperationGrantee] WHERE [SysAdminOperationId] = @sysAdminOperationId);
