DECLARE @content varchar(max) = CAST((SELECT ssc.content
from SysSchemaContent ssc
join SysSchema ss on ss.id = ssc.SysSchemaId
join SysPackage sp on sp.Id = ss.SysPackageId
where ss.Name = 'ProductSelectionModuleV2'
and sp.Name = 'ProductCatalogue'
and ssc.ContentType = 2) as varchar(max))

SET @content = REPLACE(@content, 
'.rowContainer {
		vertical-align: middle;
		display: inline-block;
		display: -webkit-inline-box;
		margin: 0;
		padding: 0 6px 0 0;
	}', 
'.rowContainer {
		vertical-align: middle;
		display: block;
		margin: 0;
		padding: 0 6px 0 0;
}')


UPDATE ssc
SET ssc.content = CAST(@content as varbinary(max))
from SysSchemaContent ssc
join SysSchema ss on ss.id = ssc.SysSchemaId
join SysPackage sp on sp.Id = ss.SysPackageId
where ss.Name = 'ProductSelectionModuleV2'
and sp.Name = 'ProductCatalogue'
and ssc.ContentType = 2


DECLARE @content2 varchar(max) = CAST((SELECT ssc.content
from SysSchemaContent ssc
join SysSchema ss on ss.id = ssc.SysSchemaId
join SysPackage sp on sp.Id = ss.SysPackageId
where ss.Name = 'ProductSelectionModule'
and sp.Name = 'ProductCatalogue'
and ssc.ContentType = 2) as varchar(max))

SET @content2 = REPLACE(@content2, 
'.rowContainer {
	vertical-align: middle;
	display: inline-block;
	display: -webkit-inline-box;
	margin: 0;
	padding: 0 6px 0 0;
}', 
'.rowContainer {
		vertical-align: middle;
		display: block;
		margin: 0;
		padding: 0 6px 0 0;
}')

select @content2


UPDATE ssc
SET ssc.content = CAST(@content2 as varbinary(max))
from SysSchemaContent ssc
join SysSchema ss on ss.id = ssc.SysSchemaId
join SysPackage sp on sp.Id = ss.SysPackageId
where ss.Name = 'ProductSelectionModule'
and sp.Name = 'ProductCatalogue'
and ssc.ContentType = 2