-- 7.12.4 version only

IF OBJECT_ID (N'LeadInQualifyStatus', N'U') IS NOT NULL
BEGIN
	INSERT INTO LeadInQualifyStatus(LeadId, QualifyStatusId, StartDate, DueDate)
	SELECT
		l.Id,
		qs1.Id,
		l.ModifiedOn,
		l.ModifiedOn
	FROM Lead l
	INNER JOIN QualifyStatus qs ON qs.Id = l.QualifyStatusId
	CROSS JOIN QualifyStatus qs1
	WHERE qs1.StageOrder <= qs.StageOrder
		AND NOT EXISTS (
			SELECT
				1
			FROM
			LeadInQualifyStatus liqs
			WHERE liqs.LeadId = l.Id
				AND liqs.QualifyStatusId = l.QualifyStatusId
	)

	UPDATE liqs
		SET DueDate = l.MovedToFinalStateOn
	FROM LeadInQualifyStatus liqs
	INNER JOIN Lead l ON l.QualifyStatusId = liqs.QualifyStatusId
		AND liqs.LeadId = l.Id
END;
